Subject: RE: draft-ietf-ldapext-ldap-c-api-03 & timeout

From: Luke Howard <[email-masked]>
Date: Sat, 2 Oct 1999 10:14:40 +1000

>directly driven by a human, the question becomes more interesting - how
>often do you attempt to re-connect to a dead server? When do you give up
>completely? The exponential timeout is probably a good approach for this
>problem.

Right, and we've had to implement something like this in all our LDAP
clients with long lived sessions -- nss_ldap, ypldapd, LDAPAgent, etc.

It would be nice if this logic was, at least optionally, part of the
client library, as it is in Apple's NetInfo.

-- Luke

--
Luke Howard
PADL Software Pty Ltd
http://www.padl.com/